! FiXx [CTP]'95                                                 02/04/95
! Advanced Chat Professional Version 4.12 for VBBS Systems
! FX-CHAT.V                                                     File (1 of 1)
!
! See program documents for installation procedure.
!
! Special thanks to these guys . . .
!
! The Crowe     -       gave me excellent advice and tips to help pull through
!                       on this version of Advanced Chat Professional
!
! CtG           -       NiFT is a major part of Advanced Chat Professional
!                       offering scrollable menus to make the interface much
!                       more pleasing and easier to use
!
! Mike Cothran  -       told me basically that my script was a tad too
!                       sloppy (he was using version 3.10 at the time).
!                       So, he gave me a goal to set forth and make the
!                       best script and make it neat in the process.
!                       Hence, the addition of SysOp email cleaner and a
!                       configuration file to make your configuration
!                       semi-permanent and compatible with Advanced Chat
!                       Professional 4.00 and above.
!
! Author Note -  This script may be modified to the particular interest 
!                    of the SysOp.  The script may NOT be sold or be changed   
!                    in such a way as that the script does not belong to
!                    FiXx or Cheeser the Preacher anymore (i.e. changing the
!                    names.
!
!                    No warranties expressed.
!
!                    Anti-Logic                         Copyright (C) 1993, 95
!                    Advanced Chat Pro Version 4.12     Copyright (C) 1994, 95
!                    VBBS (by Roland de Graaf)          Copyright (C) 1991, 94
!
!                    All rights reserved!
!
! History: 
!  
!  Version 1.00 First public release.  Changed the outlook of the built-in  
!               chat for VBBS by adding a emergency chat protocol, a reason
!               note, feedback option, and also built-in email notifiers.
!               This chat also informs the SysOp in the BBS.LOG
!
!  Version 1.03 Public release.  Fixed some minor bugs in the program.  Also
!               added SysOp configurability to make operation more unique.   
!
!  Version 2.00 Non-public release.  Revised the prompts from the previous
!              versions of Chat and Advanced Chat.  Also, revised code for
!               faster operation.  Corrected loop bug that caused an email
!               to be repeated and saved for an indefinite period of time.
!
!  Version 2.00 Public release.  Same as version 2.00 without some minor   
!  09/12/94     operation bugs.                                            
!
!  Version 3.00 Public Release.  Ported Advanced Chat Pro to the [FiXx]     
!  11/24/94     script writing group.  Revised the prompt from version 2.00
!               to look like the FiXxed type.  Also, added a one-time chat
!               offer so that users can page the SysOp only one time, then
!               it will require an emergency chat password, or SysOp 
!               availability.  Also, added NiFT scrollable menus for a
!               great look.  ALSO, added maximum SysOp configurability by
!               adding a variable definition section at the beginning of the
!               .V file.
!
!  Version 3.10 Public release.  Basically the same thing as version 3.00   
!  11/24/94     except it has more function that can be configured by the  
!               SysOp.  Such as chat hours, and if to make the one-time
!               chat offer available.  If the caller calls after chat hours
!               he/she MUST leave feedback.  There is no getting out of it.
!               After this version, forced feedbacks in chat will be mand-
!               atory.
!
!  Version 3.21 Public release.  This version of chat improved the out-of-  
!  11/28/94     hours feedback option by correcting the word wrap bug that 
!               deleted the previous typed text.  Also, Version 3.21 is a
!               pre-Version 4.00 release.  Version 4.00 will have a SysOp  
!               configuration function and almost all of the configuration 
!               of Advanced Chat Pro will be in files.  Also, this version
!               lets SysOps know that chat hours must be in 1 hour increments
!               instead of the 9:50pm or 12:12am variables.  VBBS will ignore
!               the added minutes.
!
!  Version 3.30 Public release.  Minor bug correction in regards to the one
!  12/19/94     time chat offer - if the user didn't have that security it  
!               would not allow the one time chat.  It will now work for
!               users with that security or above.  Added a Genuine [CTP]
!               [FiXx] script display to end the FX-CHAT (based upon the
!               FIXX2.V written by the Crowe.)
!
!  Version 3.98 Non-public release.  eta 1 test version to work out the bugs
!  12/19/94     of the program.  Encountered an internal error which forced
!               me to massively cleanup the routines to provide plenty of
!               left over space for expansion.
!
!  Version 3.99 Non-public release.  eta 2 test version to iron out and
!  12/20/94     sweeten the deal.
!
!  Version 4.00 Public release.  Minor type-o error in the title header for 
!  12/22/94     the SysOps where it said the version was 3.0 when it was    
!               actually 3.30.  Added a complex system of configuration 
!               so SysOps can easily setup Advanced Chat Pro and keep the
!               configuration for existing (3.98 and 3.99) Advanced Chat 
!               versions and above.  FiXxed the onetime chat offer again              
!               and added a configuration for it ;)  Cleaned up the SysOp
!               mail about the user attempting to chat (if the user doesn't
!               attempt the emergency password then it won't even mention
!               it.)  Corrected and FiXxed some delays in the program.
!
!  Version 4.09 Non-public release.  This test version was used to play with
!  01/30/95     the code in order to come out with the finished product, 4.1.
!
!  Version 4.10 Public release.  FiXxed some minor spelling errors.  Also,  
!  02/02/95     added ANSi detection for the users so they would have to see
!               the junk when the scrollable menus appear.  FiXxed the page
!               breaks when Advanced Chat exitted.  Added an editor for the
!               configuration file so that you wouldn't have to delete your
!               original to change the configuration.  For those wierd BBSes
!               that use 256 and above for security levels (i.e. SysOps and
!               Co-SysOps) I have FiXxed it so that 255 and above can now
!               configure Advanced Chat.  Also added the TroubleShooter for
!               for those SysOps that need to know what is wrong when they
!               need it.  I added in ACTION commands so that other users on
!               a multinode BBS would understand what 'chat' is.  Also, 
!               streamlined the code for faster operation.  I recommend
!               NANSI.SYS, NNANSI.SYS, or NNANSI.COM for fast ANSi redraws
!               and faster beeps.  I also made the configuration display
!               much neater and in a straight line going down so you wouldn't
!               have to bend in different directions to read it.
!
!  Version 4.12 Public release.  FiXxed some minor runtime errors.  Changed
!  02/04/95     the Reason Display Box to some other shape and color.  Also,
!               corrected the bug that made Advanced Chat lose its config-
!               uration when modified more than twice.  Also, added the view
!               configuration to the SysOp Configuration Edit menu.
!

# chat

! System Code - DO NOT CHANGE

$extra2 = "CHAT"
$pad = "                                                  "
$tde = $time & " on " & $date
$space = " "

! DATA FILE LOCATION

$cfgfile = "C:\VBBS\DATA\CHAT.CFG"

! SysOp Detection

testval $security >= 255 sysop

! Program initialization status

# bugs

open $cfgfile input
read $line1
read $line2
read $line3
read $line4
read $line5 
read $line6
read $line7
read $line8
read $line9
read $line10
read $line11
read $line12
read $line13
read $line14
read $line15
close

test $line1 = "" notcfg 

$twit = $line1                          ! Twit Access Security
$minimum = $line2                       ! Minimum Security for Emergency Chat
$onetime = $line3                       ! Minimum Security for One Time Chat
$background = $line4                    ! Background ANSI Wallpaper File
$passcode = $line5                      ! Emergency Chat Password
$local = $line6                         ! Location of your BBS.LOG
$wait = $line7                          ! Seconds for SysOp to Come (Available)
$rings = $line8                         ! Beeps When Available
$rings2 = $line9                        ! Beeps When Not Available (Keep under 40)
$barpos = $line10                       ! Start bar position [NiFT]
$fromhour = $line11                     ! Chat hours  from this  (24 hour time)
$tohour = $line12                       ! Chat hours  to this    (24 hour time)
$hourfrom = $line13                     ! Display of the hours from
$hourto = $line14                       ! Display of the hours to
$gender = $line15                       ! Gender of SysOp (he/she)

test $available = "Y" proceed

testval $time >= $fromhour nexthour

go outofhour

# nexthour

testval $time >= $tohour outofhour

# proceed

testval $security = $twit twit             ! Set Twit Security or Page Abuse
$q = $flags instr T 
testval $q <> 0 twit

action "Attempting to page . . . "

if $ansi = OFF then

go noansi

ENDIF

# uuu

tr $clear

loc 2 1

tr "[33C[0;1;30m [0;34mA[1mdvanced [0;34mC[1mhat [0;34mP[1mrofessional [0;34mV[1mersion [36m4[0;34m.[1;36m12 [30mĿ"
tr "[0m--[1;30m[0m--[1;30m[0m---[1;30m---[0m---[1;30mĴ"
tr "[0m[71C[1;30m-"
tr "[0m[1;30m-[0m[1;30m------[0m[1;30m--[0m-[1;30m--[0mĴ"
tr "[1;30m E[0mnter [1;30mY[0mour [1;30mR[0meason[1m([0ms[1m) [0mfor [1;30mB[0mothering [1;30mM[0me [1;30m-[0m--[1;30m A [37m[[30mF[0mi[1;30mX[0mx[1m] [30mP[0mroduction [1;30m-[0m"

loc 4 3

rs $chacha "0 U"

tr
tr
tr
tr

$chacha = $chacha & $pad
$chacha = $chacha LEFT 60
test $chacha = "" ending
$tst = $chacha LEFT 5
$tde = $time & " on " & $date
test $tst = "     " ending
test $available = "Y" imhere
tr
testval $security >= $minimum say
testval $security < $minimum nosay

# say

tr
tr "9" $sysop " 1is not available for chat."
tr
delay 1
go al

# nosay

go feed

# imhere

tr "[0;1;30m[0m[1m[30m[0m---[1m[30m"
tr "- 0Attempting to reach U" $sysop "0.  Please wait. 
tr "[37m[0m---[1;30m--[37m--[0m-[1;30m--[37m[0m[1;30m[0m"
tr
do $count = 1 $rings
    ts "-0U0- " $bell
loop

tr
tr "9Please wait 1 " $wait " 9seconds for " $sysop " to respond."
drawwaitbar $wait
do $a = 1 $wait
   ts "*"
   delay 1
loop
tr
tr $sysop " doesn't seem to be answering."

go feed

# noansi

tr
tr "3  >---R------e-------a-------s-------o------N---<"
rs $chacha "- 7"
tr
$chacha = $chacha & $pad
$chacha = $chacha LEFT 60
test $chacha = "" ending
$tst = $chacha LEFT 5
$tde = $time & " on " & $date
test $tst = "     " ending
test $available = "Y" imhere
tr
testval $security >= $minimum say
testval $security < $minimum nosay

# twit

tr
tr "7" $sysop " 7is not available for chat."
tr
exit

# feed               

testval $security < $minimum ok

getny $emm "Is this an emergency? "
test $emm = N ok
test $emm = Y emerg

# ko

$td = $time & " on " & $date

tr

go al

# sisi

exit

# al

if $ansi = OFF then

getyn $answer "Do you wish to leave feedback? "
test $answer = N sisi
feedback

exit

ENDIF

  $startx = 50                
  $starty = 12                  
  $barwidth = 21                
  $numoptions = 4                 
  $barcolor = "0"                
  $backcolor = "-"                
  $option1 = "Leave Feedback"       
  $option2 = "One Time Chat"
  $option3 = "Emergency Chat"
  $option4 = "Return to BBS"
  jc $option1 $barwidth
  jc $option2 $barwidth
  jc $option3 $barwidth
  jc $option4 $barwidth
  $up = 254 chr 0           ! Cursor Key Constants (For Local Arrows)
  $down = 253 chr 0
  $right = 251 chr 0
  $left = 252 chr 0
  $escape = 27 chr 0        ! Escape Key Constant (For Remote Arrows)
  $space = " "
  $bottom = $numoptions
  $hidden = $startx + $barwidth - 2
  $winbottomy = $starty + $bottom + 2
  $winbottomx = $startx + $barwidth -1

# SUBSiT
  
  call box2

  $tmpx = $startx
  $tmpy = $starty
  call dnln2
  tr $backcolor $option1
  call dnln2
  tr $backcolor $option2
  call dnln2
  tr $backcolor $option3
  call dnln2
  tr $backcolor $option4

# PiTSTOP
    
    $clr = $barcolor
    call putbar2
    rc $key
    if $key = $escape
      rc $key
      ts $bs
      rc $key
    endif
    ts $bs
    test $key = $up up2
    test $key = 8 up2
    test $key = "A" up2
    test $key = $down down2
    test $key = 2 down2
    test $key = "B" down2
    test $key = "|" log2
    test $key = $space down2
      
    if $key = $cr
      test $barpos = 1 pager2
      test $barpos = 2 feeder2
      test $barpos = 3 log2
      test $barpos = 4 end2
    endif
    go PiTSTOP

  # pager2
    tr $clear
    feedback                   
    go SUBSiT                      

  # feeder2
    tr $clear
    if $security >= $minimum then
    go onetime
    ENDIF
    tr "Onetime Chat is not available on this system."
    tr
    delay 2
    go SUBSiT

  # log2
    tr $clear
    go emerg

! Draw the box Around your Stuff
  
  # box2
    tr $clear
    suspendpagebreak
    ef $background
    $tmpy = $starty
    $tmpx = $startx - 2 
    loc $tmpy $tmpx
    tr "- UA0dvanced UC0hat UO0ptions -"
    call dnln2
    tr "-                       -"
    call dnln2
    tr "-                       -"
    call dnln2
    tr "0                       0"
    call dnln2
    tr "0                       0"
    call dnln2
    tr "U                     -Ŀ"
    call dnln2
    tr "U6  NiFT / FiXx Script - -"
    call dnln2
    tr "U                     --"
    resumepagebreak
  ret
  # dnln2
    $tmpy = $tmpy + 1
    loc $tmpy $tmpx
  ret

! Bar Movement Procedures
  # up2
    $clr = $backcolor
    call putbar2
    $barpos = $barpos - 1
    if $barpos = 0
      $barpos = $bottom
    endif
    go PiTSTOP

  # down2
    $clr = $backcolor
    call putbar2
    $barpos = $barpos + 1
    $foo = $bottom + 1
    if $barpos = $foo
      $barpos = 1
    endif
    go PiTSTOP

  # putbar2
    $tmpy = $starty + $barpos
    loc $tmpy $startx
    if $barpos = 1
      tr $clr $option1
    endif
    if $barpos = 2
      tr $clr $option2
    endif
    if $barpos = 3
      tr $clr $option3
    endif
    if $barpos = 4
      tr $clr $option4
    endif
    loc $winbottomy $winbottomx
  ret

# onetime

tr $clear
$q = $flags instr C 
testval $q <> 0 oops
tr "9Are you 1absolutely 9sure you want to use this CONE9 time offer?"
getyn $answer ""
test $answer = N al
setflags C ON    
    tr "Please wait.  The SysOp is being paged."

do $count = 1 $rings2
    ts "7۲" $bell
loop  

tr
tr "7Please wait 2" $wait " 7seconds for " $sysop " to respond."
drawwaitbar $wait
do $a = 1 $wait
   ts "2*"
   delay 1
loop
tr
tr "BIf the SysOp did not respond,  " $gender " is 3notB available.  Sorry for the "
tr "Binconvenience.  Please leave 3feedback Band perhaps your question or  "
tr "Bcomment may be answered there."
tr

go ok

# emerg

tr $clear

loc 2 1

tr "[0;1m--[30m-[0m---[1;30m-[37m-[0m[1m-[30m-[37m--Ŀ"
tr "[30m E[0mnter the [1;30mE[0mmergency [1;30mP[0massword [1;30m [44m                  [1C[40m"
tr "[0m---[1m[30m--[0m[1m[30m--[0m[1m[30m[0m"

loc 3 34
Rx $pass "W"
test $pass = "" al
IF $pass = $passcode then                   
call aa
endif
tr
tr
tr
tr "4Incorrect Password.9  A penalty is on its way."
tr
delay 2

if $ansi = OFF then

exit

ENDIF

go al

# oops

tr $clear
tr "9Sorry, you have already used your 2one9 time offer.  You will have to wait"
tr "9until " $sysop " 9is actually 1available9 for chat."
tr
delay 2

go SUBSiT

# aa

tr "CPassword Correct.0"     
tr

    tr "Please wait.  The SysOp is being paged."
do $count = 1 $rings2
    ts "7۲" $bell
loop  
tr
tr "7Please wait 2" $wait " 7seconds for " $sysop " to respond."
drawwaitbar $wait
do $a = 1 $wait
   ts "2*"
   delay 1
loop

$td = $time & " on " & $date
$nam = $handle & " used emergency chat at " & $td
open $local append         
write $nam                            
write $chacha                         
write " " 
close

# ok

ts $norm
tr                                         
tr "9" $sysop " 9is 1unable 9to answer your chat call.  "
tr
getyn $yesno "9Leave feedback? "
test $yesno = N end2    
if $yesno = Y then
feedback
go end2
$td = $time & " on " & $date

exit

# end2

tr
setemail

$linea = "AAdvanced Chat Pro 4.12 by 5̹ ̹ P̹"
$lineb = "A                               5"
$line1 = "U" & $handle & " Btried chatting. 
$linec = "9" & $tde
$line2 = " 1and this was the reason:"
$line3 = "6" & $chacha

test $pass = "" gopp

$nam = "9" & $handle & "9 used emergency chat at " & $td
$lined = "9" & $td
$line4 = "7" & $handle & "7 used the password function and entered this:"
$line5 = "B" & $pass & " Jas the valid password.9" 

# gopp

test $yesno = "" popp

$line6 = "2Did the user leave feedback?3 " & $yesno

# popp

buffer clear
buffer append $linea
buffer append $lineb
buffer append $space
buffer append $line1
buffer append $linec
buffer append $line2
buffer append $line3

test $pass = "" goppy

buffer append $nam
buffer append $lined
buffer append $space
buffer append $line4
buffer append $line5

# goppy

test $yesno = "" poppy

buffer append $space
buffer append $line6

# poppy


save 1 $node "5Chat Attempt - v.145.3125" 0 "" 1
tr
tr
tr
tr
tr
go quit

# outofhour

tr $clear

tr "B[3FiXxB] AUd3vaUnBc3eUd CBh3aBt UPBr3o BVeUr3sBiUo3n B4U.B12 3fUoBr UV3BBBUS SBysUt3eBm3s       3[BCUTBP3]9'95"
tr
tr "3You have attempted paging out of chat hours.  The chat hours are from"
tr "3" $hourfrom " to " $hourto "."  
tr
tr "3" $sysop " regrets that " $gender " could not reach you.  
tr "3Please leave feedback."
tr
tr "7Sending to " $sysop "."
tr

# getmsg

rw   $backfeed1 "91"
test $backfeed1 = "" quit
test $backfeed1 = "/s" outofhour
test $backfeed1 = "/a" outofhour
rw   $backfeed2 "91"
test $backfeed2 = "" haha
test $backfeed2 = "/s" haha
rw   $backfeed3 "91"
test $backfeed3 = "" haha
test $backfeed3 = "/s" haha
rw   $backfeed4 "91"
test $backfeed4 = "" haha
test $backfeed4 = "/s" haha
rw   $backfeed5 "91"
test $backfeed5 = "" haha
test $backfeed5 = "/s" haha
rw   $backfeed6 "91"
test $backfeed6 = "" haha
test $backfeed6 = "/s" haha
rw   $backfeed7 "91"
test $backfeed7 = "" haha
test $backfeed7 = "/s" haha
rw   $backfeed8 "91"
test $backfeed8 = "" haha
test $backfeed8 = "/s" haha

# haha

buffer clear
buffer append $backfeed1
buffer append $backfeed2
buffer append $backfeed3
buffer append $backfeed4
buffer append $backfeed5
buffer append $backfeed6
buffer append $backfeed7
buffer append $backfeed8

# completed

$slot = " "

buffer append $slot
buffer append $slot
buffer append $handle
buffer append $slot
buffer append $date
buffer append $slot
buffer append $time

setemail

save 1 $node "5Chat Attempt - v.145.3125" 0 "" 1
buffer clear

tr "1"
tr "3Mail sent toB " $sysop " . . ."
tr "1"
tr

delay 2

go quit

# ending

tr
tr "6Aborted."
tr

delay 2

# quit

action "Quitting Advanced Chat Professional . . "

if $ansi = off then

exit

ENDIF

ts $clear

$x = 30   

$FX1 = "UF"
$FX2 = "Ui"
$FX3 = "UX"
$FX4 = "Ux"
$FXA = "-F"
$FXB = "-i"
$FXC = "-X"
$FXD = "-x"
$l1 = "-S"
$l2 = "-c"
$l3 = "-r"
$l4 = "-i"
$L5 = "-p"
$L6 = "-t"
$la = "US"
$lb = "Uc"
$lc = "Ur"
$ld = "Ui"
$Le = "Up"
$Lf = "Ut"
$line3 = "-. .Truly a Genuine. ."
$Line1 = "-"
$line2 = "U"
$line4 = "3      [BCUTBP3]9'95"  
$line5 = "      -B[3FiXxB]-"
suspendpagebreak
Loc 11 30
ts $Line3
Loc 15 30
ts $Line4
Loc 17 30
ts $Line5
Loc 12 30
ts $Line1
loc 12 30
ts $line2
loc 14 30
ts $line1
loc 14 30
ts $line2
do $loop = 1 6
delay .5
loc 13 30
ts $fxa
loc 13 32
ts $fxb
loc 13 34
ts $fxc
loc 13 36
ts $fxd
loc 13 40
ts $l1
loc 13 42
ts $l2
loc 13 44
ts $l3
loc 13 46
ts $l4
loc 13 48
ts $l5
loc 13 50
ts $l6
Loc 13 30
ts $fx1
loc 13 32
ts $fx2
loc 13 34
ts $fx3
loc 13 36
ts $fx4
loc 13 40
ts $la
loc 13 42
ts $lb
loc 13 44
ts $lc
loc 13 46
ts $ld
loc 13 48
ts $le
loc 13 50
ts "Ut"
loc 1 1
loop
delay 1
loc 11 30
ts "                                                 "
loc 15 30
ts "                                                 "
loc 17 30
ts "                                                 "
loc 13 30
ts "                                                 "
loc 14 30
ts $line1
loc 12 30
ts $line1
loc 14 30
ts "                                                 "
loc 12 30
ts "                                                 "
loc 8 1

tr "-Thank you for using . . ."
tr "B[3FiXxB] AUd3vaUnBc3eUd CBh3aBt UPBr3o BVeUr3sBiUo3n B4U.B12 3fUoBr UV3BBBUS SBysUt3eBm3s       3[BCUTBP3]9'95"

resumepagebreak

exit

# notcfg

if $ansi = ON then

tr "[0;1;30mĿ"
tr " [0;34mA[1mdvanced [0;34mC[1mhat [0;34mP[1mrofessional [0;34mV[1mersion [36m4[0;34m.[1;36m12 [30m [37m[30mC[0monfiguration [1;30mE[0mrror [1;30mS[0mtatus[1m! [30m"
tr "Ĵ"
tr " [0;35mThere is no configuration file present. Using Standard VBBS Pager. [1;30mĴ"
tr "Ĵ"
tr "[49C [37m[30mA [37m[[30mF[0mi[1;30mX[0mx[1m] [30mP[0mroduction[1m! [30m"
tr "[49C[0m"
tr

go patc

ENDIF

tr "Advanced Chat Professional Version 4.12 is not configured."
tr "Using standard VBBS Pager . . ."
tr

# patc

pagesysop

exit

# paksys

tr $clear

# sysop

tr $clear
tr
tr "B[3FiXxB] AUd3vaUnBc3eUd CBh3aBt UPBr3o BVeUr3sBiUo3n B4U.B12 3fUoBr UV3BBBUS SBysUt3eBm3s       3[BCUTBP3]9'95"
tr
tr "- UA0dvanced UC0hat UP0rofessional -4.12 US0ysOp UC0onfiguration - B[3FiXxB]3'95 "
tr "-                                                     "
tr "- -[0A-] UCreate a new configuration (For first time)     -"
tr "0 -[0B-] UView existing configuration                     0"
tr "0 -[0C-] UGo to Advanced Chat Professional Pager          0"
tr "0 -[0D-] UEdit Advanced Chat Configuration                0"
tr "U -[0E-] UEnter the TroubleShooter                        "
tr "U -[0Q-] UExit Advanced Chat Professional                 "
tr "U                                                     "
tr "U                                                     "
tr
rr $getin ABCDEQ "3Please make your selection : "    
test $getin = "A" newcfg
test $getin = "B" viewcfg
test $getin = "C" bugs
test $getin = "D" edit
test $getin = "E" trouble
test $getin = "Q" quit

# newcfg

tr $clear
tr
tr "[0;1;5;31mWarning![0m 6Creating a new configuration deletes any existing"
tr "6Advanced Chat Professional configuration files.  Use this only if your"
tr "6existing configuration was lost."
tr
getyn $warn "7Do you wish to continue "
test $warn = "Y" cfgit
Test $warn = "N" paksys

# cfgit

action "Configuring Pager . . ."

tr
rs $line1 "5What is the twit security status  1"
tr
rs $line2 "5What is the minimum security for emergency chat  1" 
tr
rs $line3 "5What is the minimum security for onetime chat  1"
tr
tr "0Advanced Chat Professional 4.12 Urequires an ANSi background.  Please"
tr "Uspecify the ANSi name and location.  For example - 7C:\ANSI\CHAT.ANS"
tr
rs $line4 "5ANSi Background File  1"
tr
rs $line5 "5Please enter the emergency chat password  1"
tr
tr "0Advanced Chat Professional 4.12 Urequires the location and name of your"
tr "UBBS.LOG file.  For example - 7C:\VBBS\DATA\BBS.LOG"
tr
rs $line6 "5BBS Log file  1"
tr
rs $line7 "5Number of seconds for SysOp to come  1"
tr
rs $line8 "5Number of times to beep if SysOp available (under 80)  1"
tr
rs $line9 "5Number of times to beep if SysOp unavailable (under 80)  1"
tr
rs $line10 "5Start bar position for NiFT (Default = 4)  1"

test $line10 = "" prak

go boo

# prak

$line10 = 4

# boo

tr
tr "1The 2Chat Hours1 function is often confusing.  To make it easier, the"
tr "1steps will be outlined here.  Make sure the first two are displayed in"
tr "1full 24 hour time format such as 400:00:001 and in 1 hour increments."  
tr "9Example:"
tr
tr "5Chat hours from - 108:00:00"
tr "5Chat hours to   - 122:00:00"
tr
pause "-Press Any Key to Continue"
rs $line11 "5Chat hours from - 1"
tr
rs $line12 "5Chat hours to   - 1"
tr
tr "1The next part of the 2Chat Hours1 function requires you to display
tr "1the actual chat hours in plain English.  For Example:  C21:00:00 = 9:00pm1"
tr
rs $line13 "5Chat hours from (display) - 1"
tr
rs $line14 "5Chat hours to   (display) - 1"
tr
rs $line15 "5Gender of SysOp (7He5/6She5) - 1"
                                                         
# yakcfg

kill $cfgfile     
open $cfgfile append
write $line1
write $line2
write $line3
write $line4
write $line5
write $line6
write $line7
write $line8
write $line9
write $line10
write $line11
write $line12
write $line13
write $line14
write $line15
CLOSE

tr "3Configuration successful."

delay 2

go paksys

# viewcfg

action "Viewing Advanced Chat Configuration . . ."

tr $clear

$cfgfile = "C:\VBBS\DATA\CHAT.CFG"
open $cfgfile input
read $line1
read $line2
read $line3
read $line4
read $line5 
read $line6
read $line7
read $line8
read $line9
read $line10
read $line11
read $line12
read $line13
read $line14
read $line15
close

test $line1 = "" whereit 

tr "5Twit security status                  1" $line1 
tr "5Minimum security for emergency chat   1" $line2
tr "5Minimum security for onetime chat     1" $line3
tr "5ANSi Background File                  1" $line4
tr "5Emergency chat password               1" $line5
tr "5BBS Log file                          1" $line6
tr "5Seconds for SysOp to come             1" $line7
tr "5Times to beep if SysOp available      1" $line8
tr "5Times to beep if SysOp unavailable    1" $line9
tr "5Bar position for NiFT (Default = 4)   1" $line10
tr "5Chat hours from                       1" $line11
tr "5Chat hours to                         1" $line12
tr "5Chat hours from (display)             1" $line13
tr "5Chat hours to   (display)             1" $line14
tr "5Gender of SysOp (he/she)              1" $line15
tr 
pause "-Press any key when through viewing configuration."

go paksys

# whereit

tr "1Advanced Chat Professional 4.12 9hasn't been configured yet.  Please"
tr "9create a new configuration file."
tr
pause "-Please hit any key to continue . . ."

go paksys

# edit

$cfgfile = "C:\VBBS\DATA\CHAT.CFG"
open $cfgfile input
read $line1
read $line2
read $line3
read $line4
read $line5 
read $line6
read $line7
read $line8
read $line9
read $line10
read $line11
read $line12
read $line13
read $line14
read $line15
close

test $line1 = "" whereits

tr $clear
tr "- UA0dvanced UC0hat UP0rofessional -4.12 US0ysOp UC0onfiguration - B[3FiXxB]3'95 "
tr "-                                                     "
tr "- -[0A-] UEdit Twit Security Status                       -"
tr "- -[0B-] USet Minimum Security for Emergency Chat         -"
tr "- -[0C-] USet Minimum Security for One Time Chat          -"
tr "- -[0D-] USpecify Location of ANSi Background File        -"
tr "- -[0E-] UChange Emergency Chat Password                  -"
tr "0 -[0F-] USpecify Location of BBS Log File                0"
tr "0 -[0G-] USet Seconds for SysOp to Answer Page            0"
tr "0 -[0H-] USet Number of Times to Beep if Available        0"
tr "0 -[0I-] USet Number of Times to Beep if Unavailable      0"
tr "0 -[0J-] USpecify Bar Position for NiFT                   0"
tr "U -[0K-] USet Chat Hours From (Actual 24 Hour Time)       "
tr "U -[0L-] USet Chat Hours To   (Actual 24 Hour Time)       "
tr "U -[0M-] USpecify Chat Hours From (Display)               "
tr "U -[0N-] USpecify Chat Hours To   (Display)               "
tr "U -[0O-] USpecify Gender of SysOp (he/she)                "
tr "U -[0Z-] UView Advanced Chat Professional Configuration   "
tr "U -[0Q-] UExit to SysOp Configuration Menu                "
tr "U                                                     "
tr
rr $getin5 ABCDEFGHIJKLMNOZQ "3Please make your selection : "    
test $getin5 = "A" settwit
test $getin5 = "B" setechat
test $getin5 = "C" setochat
test $getin5 = "D" locansi 
test $getin5 = "E" epass 
test $getin5 = "F" bbslog 
test $getin5 = "G" setsec
test $getin5 = "H" abeep   
test $getin5 = "I" ubeep 
test $getin5 = "J" niftpos
test $getin5 = "K" hfchat
test $getin5 = "L" htchat
test $getin5 = "M" hfdchat
test $getin5 = "N" hftchat
test $getin5 = "O" gender
test $getin5 = "Q" sysop
test $getin5 = "Z" viewit

# abort2

tr "9Configuration Change 1ABORTED9."

delay 2

go edit

# settwit

tr
rs $line1 "5What is the twit security status  1"

test $line1 = "" abort2

go savenew

# setechat

tr
rs $line2 "5What is the minimum security for emergency chat  1" 

test $line2 = "" abort2

go savenew

# setochat

tr
rs $line3 "5What is the minimum security for onetime chat  1"

test $line3 = "" abort2

go savenew

# locansi

tr
rs $line4 "5ANSi Background File  1"

test $line4 = "" abort2

go savenew

# epass

tr
rs $line5 "5Please enter the emergency chat password  1"

test $line5 = "" abort2

go savenew

# bbslog

tr
rs $line6 "5BBS Log file  1"

test $line6 = "" abort2

go savenew

# setsec

tr
rs $line7 "5Number of seconds for SysOp to come  1"

test $line7 = "" abort2

go savenew

# abeep

tr
rs $line8 "5Number of times to beep if SysOp available (under 80)  1"

test $line8 = "" abort2

go savenew

# ubeep

tr
rs $line9 "5Number of times to beep if SysOp unavailable (under 80)  1"

test $line9 = "" abort2

go savenew

# niftpos

tr
rs $line10 "5Start bar position for NiFT (Default = 4)  1"

test $line10 = "" prak2

go itcheck

# prak2

$line10 = 4

# itcheck

go savenew

# hfchat

tr
tr "1The 2Chat Hours1 function is often confusing.  To make it easier, the"
tr "1steps will be outlined here.  Make sure the first two are displayed in"
tr "1full 24 hour time format such as 400:00:001 and in 1 hour increments."  
tr "9Example:"
tr
tr "5Chat hours from - 108:00:00"
tr "5Chat hours to   - 122:00:00"
tr
rs $line11 "5Chat hours from - 1"

test $line11 = "" abort2

go savenew

# htchat

tr
tr "1The 2Chat Hours1 function is often confusing.  To make it easier, the"
tr "1steps will be outlined here.  Make sure the first two are displayed in"
tr "1full 24 hour time format such as 400:00:001 and in 1 hour increments."  
tr "9Example:"
tr
tr "5Chat hours from - 108:00:00"
tr "5Chat hours to   - 122:00:00"
tr
rs $line12 "5Chat hours to   - 1"

test $line12 = "" abort2

go savenew

# hfdchat

tr
tr "1The next part of the 2Chat Hours1 function requires you to display
tr "1the actual chat hours in plain English.  For Example:  C21:00:00 = 9:00pm1"
tr
rs $line13 "5Chat hours from (display) - 1"

test $line13 = "" abort2

go savenew

# hftchat

tr
tr "1The next part of the 2Chat Hours1 function requires you to display
tr "1the actual chat hours in plain English.  For Example:  C21:00:00 = 9:00pm1"
tr
rs $line14 "5Chat hours to   (display) - 1"

test $line14 = "" abort2

go savenew

# gender

tr
rs $line15 "5Gender of SysOp (7He5/6She5) - 1"

test $line15 = "" abort2

go savenew

# savenew

kill $cfgfile
open $cfgfile append
write $line1
write $line2
write $line3
write $line4
write $line5
write $line6
write $line7
write $line8
write $line9
write $line10
write $line11
write $line12
write $line13
write $line14
write $line15
CLOSE

tr
tr "1New Configuration Successfully Saved."

delay 2

go edit

# trouble

action "Using the TroubleShooter . . ."

tr $clear
tr "OThe TroubleShooter0"
tr
tr "1A9       Why am I getting the Twit Status Message?"
tr "1B9       Why does it always say that I don't have a configuration file"
tr "1C9       Why does the chat hours always display wrong?"
tr "1D9       Why doesn't the chat hours have any effect?"
tr "1E9       When I try to jump into chat, the counter keeps counting.  Why?"
tr "1F9       How can my board join FiXx?
tr "1Q9       Exit to SysOp Configuration Menu"
tr

rr $getin9 ABCDEFQ "3Please make your selection : "    

tr

test $getin9 = "A" twitmsg
test $getin9 = "B" whynocfg
test $getin9 = "C" wronghr
test $getin9 = "D" nohreff
test $getin9 = "E" counter
test $getin9 = "F" joinfixx
test $getin9 = "Q" sysop

# twitmsg

tr
tr "9       Why am I getting the Twit Status Message?"
tr
tr "5  The Twit Status message is caused by the flags used by Advanced Chat
tr "5Professional.  The 'T' flag is in use to declare if the person is a
tr "5'twit' so to speak and will not allow the user to have access to the
tr "5One Time chat page or Emergency Chat pager.  It will politely give the
tr "5message VBBS uses if the SysOp is unavailable."
tr
pause "-P a u s e D"

go trouble

# whynocfg

tr
tr "9       Why does it always say that I don't have a configuration file"
tr
tr "5  The configuration file is placed in the C:\VBBS\DATA\ directory.  It
tr "5is configured to use the C: drive and the \VBBS\DATA\ directory.  But,
tr "5if you need to have it look to a different drive, edit the FX-CHAT.V
tr "5file and change the data file location.  (Use the editor to find that
tr "5particular line - search for DATA FILE LOCATION).
tr
pause "-P a u s e D"

go trouble

# wronghr

tr
tr "9       Why does the chat hours always display wrong?"
tr
tr "5  Re-read the instructions for entering the hours."
tr
pause "-P a u s e D"

go trouble

# nohreff

tr
tr "9       Why doesn't the chat hours have any effect?"
tr
tr "5  Re-read the instructions for entering the hours."
tr
pause "-P a u s e D"

go trouble

# counter

tr
tr "9       When I try to jump into chat, the counter keeps counting.  Why?"
tr
tr "5  Unfortunately, VBBS processes one task at a time when the counter is"
tr "5running.  Although nothing happens instantly, just wait and the chat"
tr "5screen will pop up as soon as the display is over."
tr
pause "-P a u s e D"

go trouble

# joinfixx

tr
tr "9       How can my board join FiXx?
tr
tr "5  Joining [FiXx] is easy.  If you want to be a distro site, just email"
tr "5me saying that you want to be a distro site.  For membership, email me"
tr "5with an 6original5 script, ANSi, or program for submission."
tr
tr "2Email me -"
tr "9  1@1 FiXxNET"
tr "9  Cheeser the Preacher @1205000 VirtualNET"
tr "9  cheeser@beast.iquest.com Internet"
tr "9  or CALL my BBS at (205) 828-7771"
tr
pause "-P a u s e D"

go trouble

# viewit

tr
tr
tr "5Twit security status                  1" $line1
tr "5Minimum security for emergency chat   1" $line2
tr "5Minimum security for onetime chat     1" $line3
tr "5ANSi Background File                  1" $line4
tr "5Emergency chat password               1" $line5
tr "5BBS Log file                          1" $line6
tr "5Seconds for SysOp to come             1" $line7
tr "5Times to beep if SysOp available      1" $line8
tr "5Times to beep if SysOp unavailable    1" $line9
tr "5Bar position for NiFT (Default = 4)   1" $line10
tr "5Chat hours from                       1" $line11
tr "5Chat hours to                         1" $line12
tr "5Chat hours from (display)             1" $line13
tr "5Chat hours to   (display)             1" $line14
tr "5Gender of SysOp (he/she)              1" $line15
tr 
pause "-Press any key when through viewing configuration."

go edit

# whereits

tr
tr "1First, 9you must create a configuration before you can edit one."
tr
pause "-P a u s e D"

go paksys

